<?php
namespace ModulesGarden\Servers\ZimbraEmail\App\UI\Admin\Custom\Modals;

use ModulesGarden\Servers\ZimbraEmail\Core\UI\Interfaces\AdminArea;
use ModulesGarden\Servers\ZimbraEmail\Core\UI\Widget\Modals\ModalTabsEdit;

/**
 * Class ModalExtendedTabsEdit
 * User: Nessandro
 * Date: 2019-09-20
 * Time: 12:40
 */

class ModalExtendedTabsEdit extends ModalTabsEdit implements AdminArea
{
    protected $id    = 'modalExtendedTabsEdit';
    protected $name  = 'modalExtendedTabsEdit';
    protected $title = 'modalExtendedTabsEdit';

    protected function afterInitContent()
    {
        parent::afterInitContent();

        foreach ($this->forms as &$form)
        {
            $form->getHtml();
        }
    }
}